## pim-data-exporter 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
project(pim-data-exporter VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "24.12.3")
set(KF_MIN_VERSION "6.6.0")
# Update it for each release
set(PIMDATAEXPORTER_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
gui/*.cpp
gui/*.h
core/*.cpp
core/*.h
console/*.cpp
console/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
gui/*.cpp
gui/*.h
core/*.cpp
core/*.h
console/*.cpp
console/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(QT_REQUIRED_VERSION "6.7.0")
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
endif()

set(AKONADI_VERSION "6.3.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")

set(MAILCOMMON_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")
set(KTEXTADDONS_MIN_VERSION "1.5.4")

# Find KF6 package
find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

if(NOT WIN32 AND NOT APPLE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6UserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")


include_directories(${pim-data-exporter_SOURCE_DIR} ${pim-data-exporter_BINARY_DIR})

add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

configure_file(pimdataexporter-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/pimdataexporter-version.h @ONLY)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
configure_file(config-pimdataexporter.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-pimdataexporter.h)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(console)

ecm_qt_install_logging_categories(
        EXPORT PIMDATAEXPORTER
        FILE pimdataexporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


install(FILES org.kde.pimdataexporter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== console/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include_directories(${AKONADI_INCLUDE_DIR} 
    ${pim-data-exporter_SOURCE_DIR}/core/
)
add_executable(pimdataexporterconsole)

target_sources(pimdataexporterconsole PRIVATE
    importexportprogressindicatorconsole.cpp
    pimdataexporterconsole.cpp
    loginfo.cpp
    loginfile.cpp
    main.cpp
    importexportprogressindicatorconsole.h
    pimdataexporterconsole.h
    loginfo.h
    loginfile.h
)


ecm_qt_declare_logging_category(pimdataexporterconsole HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole
        DESCRIPTION "pimdataexporter (pimdataexporter console)"
        OLD_CATEGORY_NAMES log_pimsettingexporterconsole org.kde.pim.pimsettingexporterconsole
        EXPORT PIMDATAEXPORTER
)


if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(pimdataexporterconsole PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(pimdataexporterconsole KF6::ConfigCore KF6::CoreAddons KF6::I18n KF6::Archive KPim6::AkonadiCore   KPim6::MailCommon
    pimdataexporterprivate
)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
install(TARGETS pimdataexporterconsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_library(pimdataexporterprivate)

target_sources(pimdataexporterprivate PRIVATE
    calendar/exportcalendarjobinterfaceimpl.cpp
    calendar/importcalendarjobinterfaceimpl.cpp

    addressbook/exportaddressbookjobinterfaceimpl.cpp
    addressbook/importaddressbookjobinterfaceimpl.cpp

    mail/exportmailjobinterfaceimpl.cpp
    mail/importmailjobinterfaceimpl.cpp
    mail/importexportmailutil.cpp
    mail/smtpmailtransport.cpp

    alarm/exportalarmjobinterfaceimpl.cpp
    alarm/importalarmjobinterfaceimpl.cpp

    calendar/exportcalendarjobinterface.cpp
    calendar/importcalendarjobinterface.cpp
    addressbook/exportaddressbookjobinterface.cpp
    addressbook/importaddressbookjobinterface.cpp
    alarm/importalarmjobinterface.cpp
    alarm/exportalarmjobinterface.cpp
    mail/exportmailjobinterface.cpp
    mail/importmailjobinterface.cpp

    xml/templateselection.cpp
    akregator/exportakregatorjobinterface.cpp
    akregator/importakregatorjobinterface.cpp

    abstractimportexportjob.cpp
    pimdataexporterkernel.cpp
    utils.cpp
    archivestorage.cpp
    synchronizeresourcejob.cpp
    pimdatabackuprestore.cpp
    importexportprogressindicatorbase.cpp
    pimdatabackupthread.cpp
    exportresourcearchivejob.cpp
    pimdataimportdatainfofile.cpp
    resourceconverterbase.cpp
    resourceconverterimpl.cpp
    storeresourcejob.cpp
    backupresourcefilejobbase.cpp
    backupresourcefilejobimpl.cpp
    utils.h
    alarm/exportalarmjobinterface.h
    alarm/importalarmjobinterfaceimpl.h
    alarm/exportalarmjobinterfaceimpl.h
    alarm/importalarmjobinterface.h
    abstractimportexportjob.h
    backupresourcefilejobimpl.h
    akregator/importakregatorjobinterface.h
    akregator/exportakregatorjobinterface.h
    pimdatabackupthread.h
    xml/templateselection.h
    pimdataimportdatainfofile.h
    mail/smtpmailtransport.h
    mail/importmailjobinterfaceimpl.h
    mail/importmailjobinterface.h
    mail/exportmailjobinterfaceimpl.h
    mail/importexportmailutil.h
    mail/exportmailjobinterface.h
    resourceconverterbase.h
    storeresourcejob.h
    calendar/exportcalendarjobinterfaceimpl.h
    calendar/importcalendarjobinterfaceimpl.h
    calendar/exportcalendarjobinterface.h
    calendar/importcalendarjobinterface.h
    pimdataexporterkernel.h
    importexportprogressindicatorbase.h
    resourceconverterimpl.h
    archivestorage.h
    pimdataexportercore_private_export.h
    pimdatabackuprestore.h
    addressbook/exportaddressbookjobinterface.h
    addressbook/exportaddressbookjobinterfaceimpl.h
    addressbook/importaddressbookjobinterfaceimpl.h
    addressbook/importaddressbookjobinterface.h
    exportresourcearchivejob.h
    synchronizeresourcejob.h
    backupresourcefilejobbase.h

    mail/exportmailfolderattributejob.h
    mail/exportmailfolderattributejob.cpp
    mail/exportmailfolderattributejobimpl.h
    mail/exportmailfolderattributejobimpl.cpp

    mail/importmailfolderattributejob.h
    mail/importmailfolderattributejob.cpp
    mail/importmailfolderattributejobimpl.h
    mail/importmailfolderattributejobimpl.cpp

)

ecm_qt_declare_logging_category(pimdataexporterprivate HEADER pimdataexportcore_debug.h IDENTIFIER PIMDATAEXPORTERCORE_LOG CATEGORY_NAME org.kde.pim.pimdataexportercore
        DESCRIPTION "pimdataexporter (pimdataexporter lib core)"
        OLD_CATEGORY_NAMES log_pimsettingexportercore org.kde.pim.pimsettingexportercore
        EXPORT PIMDATAEXPORTER
)


if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(pimdataexporterprivate PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(pimdataexporterprivate BASE_NAME pimdataexporter)



target_link_libraries(pimdataexporterprivate
    PRIVATE
    KPim6::AkonadiCore
    KPim6::Mime
    KPim6::MailTransport
    KPim6::MailCommon
    KF6::Archive
    KPim6::PimCommonAkonadi
    KF6::I18n
    KF6::CalendarCore
)

set_target_properties(pimdataexporterprivate PROPERTIES VERSION ${KDEPIM_LIB_VERSION} SOVERSION ${KDEPIM_LIB_SOVERSION})

install(TARGETS pimdataexporterprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR pimdataexporter)

=== gui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(pimdataexporter)

if(TARGET KF6::UserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

if(TARGET KF6::DBusAddons)
    add_definitions(-DHAVE_KDBUSADDONS)
endif()

set(pimdataexporter_userfeedback_SRCS)
if(TARGET KF6::UserFeedbackWidgets)
    target_sources(pimdataexporter PRIVATE
        userfeedback/userfeedbackmanager.cpp
        userfeedback/pimdataexporteduserfeedbackprovider.cpp
        userfeedback/userfeedbackmanager.h
        userfeedback/pimdataexporteduserfeedbackprovider.h

)
endif()

include_directories(
    ${pim-data-exporter_SOURCE_DIR}/core/
)


kconfig_add_kcfg_files(pimdataexporter settings/pimdataexporterglobalconfig.kcfgc)


target_sources(pimdataexporter PRIVATE
    widgets/selectiontypetreewidget.cpp
    widgets/logwidget.cpp
    widgets/pimdataexporterconfigurewidget.cpp

    dialog/selectiontypedialog.cpp
    dialog/backupfilestructureinfodialog.cpp
    dialog/showarchivestructuredialog.cpp
    dialog/synchronizeresourcedialog.cpp
    dialog/pimdataexporterconfiguredialog.cpp

    job/fullsynchronizeresourcesjob.cpp

    trayicon/pimdatatrayicon.cpp

    pimdatabackuprestoreui.cpp
    importexportprogressindicatorgui.cpp
    pimdataexporterwindow.cpp
    pimdatacommandlineoption.cpp
    main.cpp
    pimdataexporter.qrc
    pimdatacommandlineoption.h
    job/fullsynchronizeresourcesjob.h
    trayicon/pimdatatrayicon.h
    dialog/backupfilestructureinfodialog.h
    dialog/pimdataexporterconfiguredialog.h
    dialog/selectiontypedialog.h
    dialog/showarchivestructuredialog.h
    dialog/synchronizeresourcedialog.h
    pimdataexporterwindow.h
    widgets/selectiontypetreewidget.h
    widgets/pimdataexporterconfigurewidget.h
    widgets/logwidget.h
    pimdatabackuprestoreui.h
    importexportprogressindicatorgui.h
)

#TODO create lib

ecm_qt_declare_logging_category(pimdataexporter HEADER pimdataexportgui_debug.h IDENTIFIER PIMDATAEXPORTERGUI_LOG CATEGORY_NAME org.kde.pim.pimdataexportergui)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(pimdataexporter PROPERTIES UNITY_BUILD ON)
endif()

if(TARGET KF6::UserFeedbackWidgets)
        target_link_libraries(pimdataexporter PRIVATE KF6::UserFeedbackWidgets)
endif()
if(TARGET KF6::IconThemes)
    target_link_libraries(pimdataexporter PRIVATE KF6::IconThemes)
endif()
target_link_libraries(pimdataexporter
    PRIVATE
    KF6::XmlGui
    KPim6::MailCommon
    KPim6::PimCommon
    pimdataexporterprivate
    KF6::Archive
    KF6::ItemViews
    KF6::KIOFileWidgets
    KF6::Notifications
    KF6::I18n
    KF6::Crash
    KF6::StatusNotifierItem
    ${pimdataexporter_userfeedback_LIB}
    KF6::WidgetsAddons
    KF6::TextCustomEditor
)

if(TARGET KF6::DBusAddons)
    target_link_libraries(pimdataexporter PRIVATE KF6::DBusAddons)
endif()


install(TARGETS pimdataexporter ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.pimdataexporter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES settings/pimdataexporterglobalconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== console/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
    ${pim-data-exporter_BINARY_DIR}/console/
)

ecm_qt_declare_logging_category(pimdataexporterconsole_loginfiletest_SRCS HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole)



add_executable(pimdataexporterconsole_loginfiletest loginfiletest.cpp loginfiletest.h ../loginfile.cpp ${pimdataexporterconsole_loginfiletest_SRCS})
add_test(NAME pimdataexporterconsole_loginfiletest COMMAND pimdataexporterconsole_loginfiletest)
ecm_mark_as_test(pimdataexporterconsole_loginfiletest)
target_link_libraries(pimdataexporterconsole_loginfiletest Qt::Test)

=== gui/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(
    ${pim-data-exporter_SOURCE_DIR}/core/
    ${pim-data-exporter_BINARY_DIR}/core/
    ${pim-data-exporter_SOURCE_DIR}/gui/
    ${pim-data-exporter_BINARY_DIR}/gui/
)

set(selectiontreewidget_gui_SRCS selectiontreewidget_gui.cpp ../dialog/selectiontypedialog.cpp ../widgets/selectiontypetreewidget.cpp ../pimdataexportgui_debug.cpp)
add_executable(selectiontreewidget_gui ${selectiontreewidget_gui_SRCS})
target_link_libraries(selectiontreewidget_gui
    KPim6::AkonadiCore
    KPim6::AkonadiPrivate
    KPim6::MailCommon
    KPim6::PimCommon
    KF6::Archive
    pimdataexporterprivate
    KF6::ItemViews
    KF6::I18n
)

set(showarchivestructuredialog_gui_SRCS showarchivestructuredialog_gui.cpp ../dialog/showarchivestructuredialog.cpp ../pimdataexportgui_debug.cpp)
add_executable(showarchivestructuredialog_gui ${showarchivestructuredialog_gui_SRCS})
target_link_libraries(showarchivestructuredialog_gui
    KPim6::AkonadiCore
    KPim6::AkonadiPrivate
    KPim6::MailCommon
    KPim6::PimCommon
    KF6::Archive
    pimdataexporterprivate
    KF6::ItemViews
    KF6::I18n
    KF6::KIOWidgets
)

=== core/autotests/alarm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")


set(exportalarmjobinterfacetest_SRCS exportalarmjobinterfacetest.cpp exportalarmjobinterfacetestimpl.cpp
    exportalarmjobinterfacetest.h exportalarmjobinterfacetestimpl.h)

add_executable(exportalarmjobinterfacetest ${exportalarmjobinterfacetest_SRCS})
add_test(NAME exportalarmjobinterfacetest COMMAND exportalarmjobinterfacetest)
ecm_mark_as_test(exportalarmjobinterfacetest)
target_link_libraries(exportalarmjobinterfacetest Qt::Test pimdataexporterprivate KF6::ConfigCore test_resourceconverter)

#####

set(importalarmjobinterfacetest_SRCS importalarmjobinterfacetest.cpp importalarmjobinterfacetestimpl.cpp
    importalarmjobinterfacetest.h importalarmjobinterfacetestimpl.h)

add_executable(importalarmjobinterfacetest ${importalarmjobinterfacetest_SRCS})
add_test(NAME importalarmjobinterfacetest COMMAND importalarmjobinterfacetest)
ecm_mark_as_test(importalarmjobinterfacetest)
target_link_libraries(importalarmjobinterfacetest Qt::Test pimdataexporterprivate KF6::ConfigCore test_resourceconverter)

=== core/autotests/calendar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")


set(exportcalendarsjobinterfacetest_SRCS exportcalendarsjobinterfacetest.cpp exportcalendarsjobinterfacetestimpl.cpp
    exportcalendarsjobinterfacetest.h exportcalendarsjobinterfacetestimpl.h)

add_executable(exportcalendarsjobinterfacetest ${exportcalendarsjobinterfacetest_SRCS})
add_test(NAME exportcalendarsjobinterfacetest COMMAND exportcalendarsjobinterfacetest)
ecm_mark_as_test(exportcalendarsjobinterfacetest)
target_link_libraries(exportcalendarsjobinterfacetest Qt::Test pimdataexporterprivate KF6::ConfigCore test_resourceconverter)

#####

set(importcalendarjobinterfacetest_SRCS importcalendarjobinterfacetest.cpp importcalendarjobinterfacetestimpl.cpp
    importcalendarjobinterfacetest.h importcalendarjobinterfacetestimpl.h)

add_executable(importcalendarjobinterfacetest ${importcalendarjobinterfacetest_SRCS})
add_test(NAME importcalendarjobinterfacetest COMMAND importcalendarjobinterfacetest)
ecm_mark_as_test(importcalendarjobinterfacetest)
target_link_libraries(importcalendarjobinterfacetest Qt::Test pimdataexporterprivate KF6::ConfigCore test_resourceconverter)

=== core/autotests/mail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")



add_executable(exportmailjobinterfacetest)
target_sources(exportmailjobinterfacetest PRIVATE exportmailjobinterfacetest.cpp exportmailjobinterfacetestimpl.cpp
    exportmailjobinterfacetest.h exportmailjobinterfacetestimpl.h
    exportmailfolderattributejobtestimpl.h exportmailfolderattributejobtestimpl.cpp)

add_test(NAME exportmailjobinterfacetest COMMAND exportmailjobinterfacetest)
ecm_mark_as_test(exportmailjobinterfacetest)
target_link_libraries(exportmailjobinterfacetest Qt::Test pimdataexporterprivate KF6::ConfigCore test_resourceconverter KPim6::Mime)

#####


add_executable(importmailjobinterfacetest)
target_sources(importmailjobinterfacetest PRIVATE importmailjobinterfacetest.cpp
    importmailjobinterfacetestimpl.cpp
    importmailjobinterfacetest.h importmailjobinterfacetestimpl.h
    importmailfolderattributejobtestimpl.h importmailfolderattributejobtestimpl.cpp)

add_test(NAME importmailjobinterfacetest COMMAND importmailjobinterfacetest)
ecm_mark_as_test(importmailjobinterfacetest)
target_link_libraries(importmailjobinterfacetest Qt::Test pimdataexporterprivate KF6::ConfigCore KPim6::AkonadiCore KPim6::AkonadiMime test_resourceconverter KPim6::IdentityManagementCore KPim6::Mime)

#####
add_executable(exportmailfolderattributejobtest)
target_sources(exportmailfolderattributejobtest PRIVATE exportmailfolderattributejobtest.cpp exportmailfolderattributejobtest.h)
add_test(NAME exportmailfolderattributejobtest COMMAND exportmailfolderattributejobtest)
ecm_mark_as_test(exportmailfolderattributejobtest)
target_link_libraries(exportmailfolderattributejobtest Qt::Test pimdataexporterprivate KF6::ConfigCore)

#####
add_executable(importmailfolderattributejobtest)
target_sources(importmailfolderattributejobtest PRIVATE importmailfolderattributejobtest.cpp importmailfolderattributejobtest.h)
add_test(NAME importmailfolderattributejobtest COMMAND importmailfolderattributejobtest)
ecm_mark_as_test(importmailfolderattributejobtest)
target_link_libraries(importmailfolderattributejobtest Qt::Test pimdataexporterprivate KPim6::AkonadiCore KF6::ConfigCore)

=== debian/changelog ===
pim-data-exporter (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:32 +0100

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:24.12.3~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.3~),
               libkmailtransport-dev (>= 24.12.3~),
               libkmime-dev (>= 24.12.3~),
               libktextaddons-dev (>= 1.5.4~),
               libmailcommon-dev (>= 4:24.12.3~),
               libpimcommon-dev (>= 4:24.12.3~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/pim-data-exporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter.git
Rules-Requires-Root: no

Package: pim-data-exporter
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

## pim-data-exporter 25.07.80

=== debian/changelog ===
pim-data-exporter (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:51 +0100

pim-data-exporter (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:57:48 +0100

pim-data-exporter (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:03:33 +0100

pim-data-exporter (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:19:38 +0100

pim-data-exporter (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:05:48 +0100

pim-data-exporter (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pim-data-exporter
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -27,20 +28,20 @@
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailcommon-dev (>= 4:24.12.3~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libmailcommon-dev (>= 4:25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/pim-data-exporter
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
 Rules-Requires-Root: no
 
 Package: pim-data-exporter

## pim-data-exporter 25.07.90

=== debian/changelog ===
pim-data-exporter (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:03:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -28,12 +28,12 @@
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailcommon-dev (>= 4:25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libmailcommon-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,

## pim-data-exporter 25.08.0

=== debian/changelog ===
pim-data-exporter (4:25.08.0-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:18:49 +0000

pim-data-exporter (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:50:35 +0000

pim-data-exporter (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:05:18 +0000

pim-data-exporter (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:16:46 +0000

pim-data-exporter (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:55:27 +0000

pim-data-exporter (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:12:31 +0000

pim-data-exporter (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:43:32 +0000

pim-data-exporter (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:08:42 +0000

pim-data-exporter (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:03:05 +0000

pim-data-exporter (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:55:53 +0000

pim-data-exporter (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:19:57 +0000

pim-data-exporter (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:43:11 +0000

pim-data-exporter (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:15:09 +0000

pim-data-exporter (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:06:35 +0000

pim-data-exporter (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:49:38 +0000

pim-data-exporter (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:07:23 +0000

pim-data-exporter (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:51:36 +0000

pim-data-exporter (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:40:26 +0000

pim-data-exporter (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:20:00 +0000

pim-data-exporter (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:46:41 +0000

pim-data-exporter (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:57:37 +0000

pim-data-exporter (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:23:35 +0000

pim-data-exporter (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:28:13 +0000

pim-data-exporter (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:26:26 +0000

pim-data-exporter (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:56:59 +0000

pim-data-exporter (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:35:19 +0000

pim-data-exporter (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:10:47 +0000

pim-data-exporter (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:16:53 +0000

pim-data-exporter (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:37:47 +0000

pim-data-exporter (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:52:28 +0000

pim-data-exporter (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:24:55 +0000

pim-data-exporter (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:48:30 +0000

pim-data-exporter (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:46:14 +0000

pim-data-exporter (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:57:02 +0000

pim-data-exporter (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:07:43 +0000

pim-data-exporter (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 15:49:09 +0000

pim-data-exporter (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:16:09 +0000

pim-data-exporter (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:36 +0000

pim-data-exporter (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:24:07 +0000

pim-data-exporter (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:42 +0000

pim-data-exporter (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:52 +0000

pim-data-exporter (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:55 +0000

pim-data-exporter (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:47 +0000

pim-data-exporter (4:20.12.3-0neon) focal; urgency=medium



=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-notes-dev,
               kpim6-kimap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libqgpgmeqt6-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/pim-data-exporter.git
Vcs-Browser: https://invent.kde.org/neon/kde/pim-data-exporter
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-data-exporter
Section: utils
Architecture: any
Depends: kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: pim-data-exporter
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

Package: pim-data-exporter
Architecture: all
Depends: kpim6-data-exporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
